]> git.stg.codes - stg.git/blobdiff - libs/smux/regen.sh
Update SMUX library.
[stg.git] / libs / smux / regen.sh
diff --git a/libs/smux/regen.sh b/libs/smux/regen.sh
new file mode 100755 (executable)
index 0000000..2624ffd
--- /dev/null
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -euo pipefail
+
+ASN1C=${ASN1C:-"/usr/bin/asn1c"}
+
+ASN1C_FLAGS="${ASN1C_FLAGS:-""} -fcompound-names -fwide-types"
+
+${ASN1C} ${ASN1C_FLAGS} RFC1213-MIB.asn1 RFC1155-SMI.asn1 RFC1157-SNMP.asn1 SMUX.asn1
+mv *.h include/stg/
+rm Makefile.am.sample
+rm converter-sample.c